## gortr 0.14.5

=== debian/changelog ===
gortr (0.14.5-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 12 Jul 2020 03:20:10 +0200
