=== debian/changelog ===
gortr (0.14.6-1build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:17:07 +0000

gortr (0.14.6-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 25 Aug 2020 01:16:13 +0200
