=== debian/control ===
Source: gortr
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12), dh-golang,
 golang-any,
 golang-github-prometheus-client-golang-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-logrus-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/md/gortr
Vcs-Git: https://salsa.debian.org/md/gortr.git
Homepage: https://github.com/cloudflare/gortr
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cloudflare/gortr

Package: gortr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 adduser
Built-Using: ${misc:Built-Using}
Description: Cloudflare's RPKI to Router server
 GoRTR is an implementation of the RPKI to Router protocol (RFC 6810):
 it can be used to publish Resource Public Key Infrastructure (RFC 6480)
 prefix origin data from a trusted cache to BGP routers.

Package: golang-github-cloudflare-gortr-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
 golang-github-prometheus-client-golang-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-logrus-dev,
Description: Cloudflare's RPKI to router library
 GoRTR is an implementation of the RPKI to router protocol (RFC 6810).
