=== debian/changelog ===
gortr (0.14.7-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jan 2021 09:17:16 +0100
